/* 克隆对象 */
export function cloneObj(obj) {
  var str, newobj = obj.constructor === Array ? [] : {};
  if (typeof obj !== 'object') {
    return
  } else if (window.JSON) {
    str = JSON.stringify(obj), // 序列化对象
      newobj = JSON.parse(str) // 还原
  } else {
    for (var i in obj) {
      newobj[i] = typeof obj[i] === 'object' ? cloneObj(obj[i]) : obj[i]
    }
  }
  return newobj;
}
// 深拷贝
export function deepCopy(obj) {
  let result = {}
  for (const key in obj) {
    result[key] = obj[key]
  }
  return result
}
// 清空对象中属性值为空的属性
export function clearNullAttr(obj) {
  for (const key in obj) {
    obj[key] = myTrim(obj[key])
    if (obj[key] === '' || obj[key] === undefined || obj[key] === null || obj[key].length === 0) {
      delete obj[key]
    } else {
      obj[key] = obj[key]
    }
  }
  return obj
}
// 清空之字符串的前后空格
export function myTrim(str) {
  if (typeof(str) === 'string') {
    str = str.replace(/(^\s*)|(\s*$)/g, '')
  }
  return str
}
/*
格式化时间
format :"yyyy-mm-dd hh:ii:ss";

  return 2015-11-05 17:39:23
format :"yyyy-mm-dd";

    return 2015-11-05
format :"yyyy/mm/dd hh/ii/ss";

    return 2015/11/05 17/39/23
format :"yyyy/mm/dd";

  return 2015/11/05

 */
// 时间撮转换为一般时间格式  （时间撮）
export function transformTime(formart, newDate) {
  var dateSty = arguments[0].split(' '),
    separatorFirst = '',
    separatorSecond = '',
    realDate = '';
  var yyyy = newDate.getFullYear(),
    mm = newDate.getMonth() + 1,
    dd = newDate.getDate(),
    hh = newDate.getHours(),
    ii = newDate.getMinutes(),
    ss = newDate.getSeconds();
  mm = mm < 10 ? '0' + mm : mm;
  dd = dd < 10 ? '0' + dd : dd;
  hh = hh < 10 ? '0' + hh : hh;
  ii = ii < 10 ? '0' + ii : ii;
  ss = ss < 10 ? '0' + ss : ss;

  if (dateSty.length > 1) {
    separatorFirst = dateSty[0].charAt(4);
    separatorSecond = dateSty[1].charAt(2);
    realDate = yyyy + separatorFirst + mm + separatorFirst + dd + ' ' + hh + separatorSecond + ii + separatorSecond + ss;
  } else {
    separatorFirst = dateSty[0].charAt(4);
    realDate = yyyy + separatorFirst + mm + separatorFirst + dd;
  }

  return realDate;
}

// 判断对象是否改变了
